#version 330 core

//uniforms
//uniform Transforms
//{
//uniform mat4 mWorld;
//uniform mat4 mView;
uniform mat4 mMVP;
//};

//attributes
layout(location = 0) in vec4 vertPosition;
layout(location = 1) in vec4 vertColor;

//output
out VSOutput
{
	vec4 p; //position
	vec4 c; //color
} outData;

void main(void)
{
	outData.c = vertColor;
	outData.p = mMVP * vertPosition;
	gl_Position = outData.p;
}